# Class AbstractAppController

Application abstract controller.

Used functionalities:

- `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

#### Param: $scope

Scope.

#### Param: $injector

Main injector.

#### Param: mobile

Is mobile.

#### Ngdoc

controller

#### Hierarchy (view full)

- AbstractAppController
  - AbstractAPIController
  - AbstractMobileController

- Defined in src/controllers/AbstractAppController.js:81
- Defined in src/controllers/AbstractAppController.js:65

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
hasPrivateLayers
lang
langUrls
loading
loginActive
loginRedirectUrl
manageResize
map
mapToolsGroup
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
resizeTransition
searchListeners
stateManager
tmhDynamicLocale
updateHasEditableLayers_
$inject

### Methods

initLanguage
setDefaultBackground_
switchLanguage

##
Constructors

### constructor

- new AbstractAppController($scope, $injector, mobile?): AbstractAppController

- Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

  #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  - `Optional` mobile: boolean

    Is mobile.

  #### Returns AbstractAppController

  #### Ngdoc

  controller

  - Defined in src/controllers/AbstractAppController.js:81

##
Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:481

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:438

### defaultLang

defaultLang: string

Default language

- Defined in src/controllers/AbstractAppController.js:493

### dimensions

dimensions: {}

- Defined in src/controllers/AbstractAppController.js:414

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:588
- Defined in src/controllers/AbstractAppController.js:628

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:633

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:550
- Defined in src/controllers/AbstractAppController.js:638

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:545
- Defined in src/controllers/AbstractAppController.js:643

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:544
- Defined in src/controllers/AbstractAppController.js:648

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:574
- Defined in src/controllers/AbstractAppController.js:653

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:547
- Defined in src/controllers/AbstractAppController.js:658

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:233

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:367

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:360
- Defined in src/controllers/AbstractAppController.js:454

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

- Defined in src/controllers/AbstractAppController.js:507

### gmfThemeManager

gmfThemeManager: ThemeManagerService

- Defined in src/controllers/AbstractAppController.js:247

### gmfThemes

gmfThemes: ThemesService

Themes service

- Defined in src/controllers/AbstractAppController.js:259

### gmfTreeManager_

gmfTreeManager_: LayertreeTreeManager

- Defined in src/controllers/AbstractAppController.js:252

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:387
- Defined in src/controllers/AbstractAppController.js:394
- Defined in src/controllers/AbstractAppController.js:397

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:289
- Defined in src/controllers/AbstractAppController.js:296

### hasPrivateLayers

hasPrivateLayers: boolean

- Defined in src/controllers/AbstractAppController.js:336
- Defined in src/controllers/AbstractAppController.js:339

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:486
- Defined in src/controllers/AbstractAppController.js:713

### langUrls

langUrls: {}

Languages URL

- Defined in src/controllers/AbstractAppController.js:500

### loading

loading: boolean

Checks if the themes are loaded

- Defined in src/controllers/AbstractAppController.js:266
- Defined in src/controllers/AbstractAppController.js:268

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:325
- Defined in src/controllers/AbstractAppController.js:402

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

- Defined in src/controllers/AbstractAppController.js:305
- Defined in src/controllers/AbstractAppController.js:324
- Defined in src/controllers/AbstractAppController.js:330

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

- Defined in src/controllers/AbstractAppController.js:597

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:218

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:513

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

- Defined in src/controllers/AbstractAppController.js:208

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:466

### options

options: gmfOptions

- Defined in src/controllers/AbstractAppController.js:85

### permalink_

permalink_: PermalinkService

Permalink service

- Defined in src/controllers/AbstractAppController.js:284

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

- Defined in src/controllers/AbstractAppController.js:277

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

- Defined in src/controllers/AbstractAppController.js:461

### resizeTransition

resizeTransition: number

The duration (milliseconds) of the animation that may occur on the div containing the map. Used to smoothly resize the map while the animation is in progress.

- Defined in src/controllers/AbstractAppController.js:606

### searchListeners

searchListeners: any

Listeners passed to searchDirective.

- Defined in src/controllers/AbstractAppController.js:312

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:471

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:476

### updateHasEditableLayers_

updateHasEditableLayers_: (() => void)

Check editable layers

- Defined in src/controllers/AbstractAppController.js:294

### `Static`$inject

$inject: string[]

- Defined in src/controllers/AbstractAppController.js:65

##
Methods

### initLanguage

- initLanguage(): void

- #### Returns void

  - Defined in src/controllers/AbstractAppController.js:718

### setDefaultBackground_

- setDefaultBackground_(theme): void

- #### Parameters

  - theme: GmfTheme

    Theme.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:747

### switchLanguage

- switchLanguage(lang): void

- #### Parameters

  - lang: string

    Language code.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:706